GET
/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Course_Id
required
integer
Course ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Successfully retrieved the list of shared storages
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
shared_storage_details
object
id
integer
name
string
project_id
integer
description
string
storage_type
string
pvc
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
location
string
bucket_size
string
access_key
object
id
integer
access_key
string
secret_key
string
tag
string
is_managed
boolean
location
string
encryption_type
string
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
pfs
string
is_ai_labs_learning_dataset
boolean
is_mounted_on_another_node
boolean
created_by
integer
storage_type
string
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "id": 12, "name": "ai-labs-251028130016", "shared_storage_details": { "id": 3008, "name": "ai-labs-251028130016", "project_id": 8007, "storage_type": "managed", "bucket": { "id": 5039, "bucket_name": "d-gpu-2facdeb3-117-9f58-d9db3892cf0e", "bucket_url": "s3://d-gpu-2facdeb37-4117-9f58-d9db3892cf0e/", "endpoint": "https://objectstore.e2enetworks.net", "is_managed": true, "eos_bucket_permission_id": 16761, "location": "Delhi", "bucket_size": "0 bytes" }, "access_key": { "id": 5057, "access_key": "Y1OE9IWZ5NCRYT4", "tag": "akgpufa3189947ce8028dd35d94b6134", "is_managed": true, "location": "Delhi" }, "encryption_enable": false, "status": "OK", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" }, "created_at": "2025-10-28T07:30:24.179493Z", "updated_at": "2025-10-28T07:30:24.179546Z", "is_ai_labs_learning_dataset": false }, "created_by": 7483, "storage_type": "managed" } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}